WordPress.org

Ready to get started?Download WordPress

Forums

WooCommerce - excelling eCommerce
lots of jQuery and jQuery UI conflicts in WP 3.6 (11 posts)

  1. CapitalH
    Member
    Posted 11 months ago #

    I am having lots of jQuery and jQuery UI conflicts in WP 3.6
    esp:
    - when mini cart is empty the "your cart is empty text" does not load
    - product slider widget does not work when sliding the handle with mouse, clicking works though
    - Uncaught RangeError: Maximum call stack size exceeded error

    http://wordpress.org/plugins/woocommerce/

  2. davethedrummer909
    Member
    Posted 11 months ago #

    I just discovered that JQuery 1.10 as used by WP 3.6 is often seen as JQuery 1.1 perhaps that's your problem?
    just a total guess , but I was googling WP 3.6 issues and your post came up.

  3. CapitalH
    Member
    Posted 11 months ago #

    actually i think it's not a problem with version numbering, I think woocommerce needs to upgrade some of it's jQuery and jQuery UI core plugins to be more compatible the new version of jQuery and jQuery UI in WP 3.6.

    I had some conflicts in my own hand written jq codes too which where resolved just by removing some depricated codes I wrote for jq 1.8

    I don't think the world is quite ready for jQuery 1.10 yet, the very own site of jquery.com is still using version 1.8 and that's ironic.

    WordPress guys could have held up more before upgrading the core jq so soon.

    That's my guess any how, maybe there's something I am doing wrong.

  4. iamnix
    Member
    Posted 11 months ago #

    Logged in after a year just to reply here. I had same problem and found this thread on google, resolved by replacing jquery.js with version 1.9.1 Although I agree woocommerce and other plugin devs must fix their plugins, but quick fix seemed to work; thought of sharing.

    Regards.

  5. CapitalH
    Member
    Posted 11 months ago #

    Yes that's the only solution I have found yet until there comes some updates for those plugins.

  6. MB Creation
    Member
    Posted 11 months ago #

    Hi.

    I also have a lot of javascript issues since 3.6. With WooCommerce.
    Quick fix to put in your theme in functions.php

    if( !is_admin()){
      wp_deregister_script('jquery');
      wp_register_script('jquery','http://code.jquery.com/jquery-1.9.1.min.js', false, '');
      wp_enqueue_script('jquery');
    }
  7. CapitalH
    Member
    Posted 11 months ago #

    Do you have Wysija Newsletter plugin installed on your theme?

  8. CapitalH
    Member
    Posted 11 months ago #

    Because I have just upgraded Wysija Newsletter plugin to it's latest version and WC is working just fine on WP 3.6 with jQuery 10

  9. MB Creation
    Member
    Posted 11 months ago #

    Yes i do have Wysija Newsletter ! I'm gonna check this...thx

  10. MB Creation
    Member
    Posted 11 months ago #

    Wysija update fixed the issue ! Great.

  11. CapitalH
    Member
    Posted 11 months ago #

    Yap, like you I was looking in other places for a fix, everything worked right after upgrading Wysija.

    Glad I could Help.

Reply

You must log in to post.

About this Plugin

About this Topic